Subject: Re: t5539 broken under Mac OS X

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Jan 2015 16:04:24 -0800

Jeff King <[email-masked]> writes:

> Exactly. I am happy to submit a patch, but I cannot think of any
> mechanisms besides:
>
>   1. Calling `id`, which I suspect is very not portable.
>
>   2. Writing a C program to check getuid(). That's portable for most
>      Unixes. It looks like we already have a hacky wrapper on mingw that
>      will always return "1".
>
> Is (2) too gross?

Not overly gross compared to some existing test-*.c files, I would
say.

I wondered what 'perl -e 'print $>' would say in mingw, and if that
is portable enough, though.